%global debug_package %{nil}

Name:           ublue-motd
Version:        homebrew.2025.03.18.01.29.44
Release:        1.20250318194141435743.pr293.6.ge0b2dd9%{?dist}
Summary:        MOTD scripts for Universal Blue images

License:        Apache-2.0
URL:            https://github.com/ublue-os/packages
VCS:            git+https://github.com/ublue-os/packages#e0b2dd914cd594a4bd8555fb1601b5c640ff20a0:packages/ublue-motd
Source:         packages-homebrew.2025.03.18.01.29.44.tar.gz

Requires:       glow
Requires:       jq
Requires:       curl

%description
MOTD and changelogs script for Universal Blue

%prep
%setup -T -b 0 -q -n packages-homebrew.2025.03.18.01.29.44

%install
install -dm0755 %{buildroot}%{_datadir}/ublue-os/motd/themes
cp -rp ./src/themes/* %{buildroot}%{_datadir}/ublue-os/motd/themes
install -Dm0755 ./src/%{name} %{buildroot}%{_libexecdir}/%{name}
install -Dm0755 ./src/ublue-changelog %{buildroot}%{_libexecdir}/ublue-changelog
install -Dm0755 ./src/vendor.sh %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
install -Dm0755 ./src/vendor.fish %{buildroot}%{_datadir}/fish/vendor_conf.d/%{name}.fish

%files
%{_libexecdir}/%{name}
%{_libexecdir}/ublue-changelog
%{_datadir}/ublue-os/motd/themes/*
%{_sysconfdir}/profile.d/%{name}.sh
%{_datadir}/fish/vendor_conf.d/%{name}.fish

%changelog
%autochangelog
